Bug 803980 - Wrong perms on systemd service file
Wrong perms on systemd service file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 963915 1146014 1157200 1159084 1170585 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 04:17 EDT by Terje Røsten
Modified: 2015-03-25 20:03 EDT (History)
9 users (show)

See Also:
Fixed In Version: wpa_supplicant-2.3-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1311547 (view as bug list)
Environment:
Last Closed: 2014-11-01 10:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2012-03-16 04:17:52 EDT
Description of problem:

 /lib/systemd/system/wpa_supplicant.service

should have not have execute bits set, it's a config file.

change 0755 in
  install -D -m 0755 %{SOURCE3} %{buildroot}/%{_unitdir}/%{name}.service
to 0644.
Comment 1 Fedora End Of Life 2013-04-03 10:23:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Terje Røsten 2013-11-24 04:02:53 EST
Any progress here, can't be that hard to fix this?

There are several other easy to fix bugs against this components, do you
need a helping hand?
Comment 3 poma 2014-11-01 05:42:46 EDT
- Configuration file /usr/lib/systemd/system/wpa_supplicant.service is marked executable.
  https://bugzilla.redhat.com/show_bug.cgi?id=1159084

- No need to set the service(configuration) file as an executable.
  https://bugzilla.redhat.com/show_bug.cgi?id=1157200

- Execute permission on wpa_supplicant.service unit file
  https://bugzilla.redhat.com/show_bug.cgi?id=1146014

- please remove +x bit from systemd unit file
  https://bugzilla.redhat.com/show_bug.cgi?id=963915
Comment 4 Michael Catanzaro 2014-11-01 09:40:45 EDT
*** Bug 963915 has been marked as a duplicate of this bug. ***
Comment 5 Michael Catanzaro 2014-11-01 09:40:50 EDT
*** Bug 1146014 has been marked as a duplicate of this bug. ***
Comment 6 Michael Catanzaro 2014-11-01 09:41:02 EDT
*** Bug 1157200 has been marked as a duplicate of this bug. ***
Comment 7 Michael Catanzaro 2014-11-01 09:41:10 EDT
*** Bug 1159084 has been marked as a duplicate of this bug. ***
Comment 8 Dan Williams 2015-02-26 15:26:39 EST
*** Bug 1170585 has been marked as a duplicate of this bug. ***
Comment 9 Gabriel Somlo 2015-03-25 20:03:31 EDT
Any chance this could be built and pushed for F21 as well ?

I'm getting the same problem on my up-to-date F21 with wpa_supplicant-2.0.12

Thanks!

Note You need to log in before you can comment on or make changes to this bug.